使用if IE语句判断浏览器IE版本 – Falost的小窝
  • 欢迎关注我的微信公众号“ frontEnd_Developer ” 右边扫描关注 --->>

使用if IE语句判断浏览器IE版本

Code Log 神棍 416℃

判断当前浏览器是否IE6(或IE6内核)

 <!--[if IE 6]>

 你使用的是IE6浏览器,这是IE的过期版本,是时候升级了!

<![endif]-->

判断当前浏览器是否IE7及以下版本

 <!--[if lte IE 7]>

 这段文字只会在IE7及(IE7/IE6/IE5等)以下版本显示

<![endif]-->

以上语法中的 lte 是指包含7以下版本的浏览器,比如查询是否是 IE9 以下的浏览器可以使用

 <!--[if lte IE 9]>

你的浏览器版本低于IE9 

<![endif]-->

自动调用IE最高版本:

有的双核浏览器其中一核使用的就是IE内核,但是默认并不会调用最高版本,往往是模拟IE7,这个时候我们需要在网页头部添加一行代码让浏览器自动调用最高版本的IE来更好的支持HTML5和CSS3。

<meta http-equiv="X-UA-Compatible"content="IE=Edge" >

转载请注明:Falost的小窝 » 使用if IE语句判断浏览器IE版本

如果你觉得这篇文章不错或者对你有帮助,想请我喝一杯咖啡,可以打赏
喜欢 (1)